%create_shape
% Shape creation function based upon a string input. (x,y) vertex coordinates
% (row vectors) are returned. Shapes all have unit scalings (e.g. radii for
% circularly defined shapes), unless specifically stated

function [x,y] = create_shape( shape_str )

if strcmp( shape_str, '345 triangle' ) == 1
    x = [1,5,5];
    y = [1,1,4];
elseif strcmp( shape_str, 'Arrowhead' ) == 1
    x = [-4,8,4,4];
    y = [6,10,-2,6];
elseif strcmp( shape_str, 'Asymmetric quadrilateral' ) == 1
    x = [1,5,8,2];
    y = [1,1,4,6];
elseif strcmp( shape_str, 'triangle' )==1
    [x,y] = polygon(3,1);
elseif strcmp( shape_str, 'square' )==1
    [x,y] = polygon(4,1);
elseif strcmp( shape_str, 'pentagon' )==1
    [x,y] = polygon(5,1);
elseif strcmp( shape_str, 'hexagon' )==1
    [x,y] = polygon(6,1);
elseif strcmp( shape_str, 'heptagon' )==1
    [x,y] = polygon(7,1);
elseif strcmp( shape_str, 'octagon' )==1
    [x,y] = polygon(8,1);
elseif strcmp( shape_str, 'nonagon' )==1
    [x,y] = polygon(9,1);
elseif strcmp( shape_str, 'decagon' )==1
    [x,y] = polygon(10,1);
elseif strcmp( shape_str, 'unit triangle' )==1
    [x,y] = polygon(3, 1/(2*sin(pi/3)) );
elseif strcmp( shape_str, 'unit square' )==1
    x = [0,1,1,0];
    y = [0,0,1,1];
elseif strcmp( shape_str, 'unit pentagon' )==1
    [x,y] = polygon(5, 1/(2*sin(pi/5)) );
elseif strcmp( shape_str, 'unit hexagon' )==1
    [x,y] = polygon(6, 1/(2*sin(pi/6)) );
elseif strcmp( shape_str, 'unit heptagon' )==1
    [x,y] = polygon(7, 1/(2*sin(pi/7)) );
elseif strcmp( shape_str, 'unit octagon' )==1
    [x,y] = polygon(8, 1/(2*sin(pi/8)) );
elseif strcmp( shape_str, 'unit nonagon' )==1
    [x,y] = polygon(9, 1/(2*sin(pi/9)) );
elseif strcmp( shape_str, 'unit decagon' )==1
    [x,y] = polygon(10, 1/(2*sin(pi/10)) );
elseif strcmp( shape_str, 'circle N=500' )==1
    [x,y] = polygon(500,1);
elseif strcmp( shape_str, '3 point star' )==1
    [x,y] = star(3,1,3);
elseif strcmp( shape_str, '5 point star' )==1
    [x,y] = star(5,1,3);
elseif strcmp( shape_str, '7 point star' )==1
    [x,y] = star(7,1,3);
elseif strcmp( shape_str, '12 point star' )==1
    [x,y] = star(12,1,3);
elseif strcmp( shape_str, 'Up arrow' )==1
    x = [0,1,1,0.5,0];
    y = [0,0,1,2,1];
elseif strcmp( shape_str, 'User defined polygon' )==1
    [x,y] = define_polygon;
else
    %Default is a square
    [x,y] = polygon(4,1);
end

%End of code
