%draw_basis_vectors
% Function which plots red (x) and blue (y) vectors representing the basis vectors
% of a coordinate system.

function draw_basis_vectors( ax, x, y )

%Make axes ax active, clear it and draw the new basis vectors
axes(ax)
cla; hold on;

%Set axis limits to be equal, based upon the maximum x,y value
m = max( [max(abs(x)),max(abs(y))] );
xlim([-m,m]);
ylim([-m,m]);

%Set labels and plot basis vectors
xlabel('x')
ylabel('y')
plot( [0,x(1)] , [0,x(2)], 'r-' );
plot( [0,y(1)] , [0,y(2)], 'b-' );
plot( x(1) , x(2), 'r*' );
plot( y(1) , y(2), 'b*' );
grid on;

%End of code