%mtrans2D_defaults

function M = mtrans2D_defaults

%Current object properties
M.current_object_number = 1;

%Object list
M.object_list = {
    'square'
    };
M.new_objects = {
    ' ',...
    '345 triangle',...
    'Arrowhead',...
    'Asymmetric quadrilateral',...
    'triangle',...
    'square',...
    'pentagon',...
    'hexagon',...
    'heptagon',...
    'octagon',...
    'nonagon',...
    'decagon',...
    'unit triangle',...
    'unit square',...
    'unit pentagon',...
    'unit hexagon',...
    'unit heptagon',...
    'unit octagon',...
    'unit nonagon',...
    'unit decagon',...
    'circle N=500',...
    '3 point star',...
    '5 point star',...
    '7 point star',...
    '12 point star',...
    'Up arrow',...
    'User defined polygon'
    };
M.object(1).colour = [1,0,0];
M.object(1).centre_x = 4;
M.object(1).centre_y = 4;
M.object(1).aspect = 1.5;
M.object(1).rot_deg = 45;
M.object(1).scale_factor = 1;
M.object(1).name = 'square';

%Define object vertex coordinates, following aspect ratio stretch and then
%rotation about (0,0). Then shift origin to specified centre
[x,y] = polygon(4,1/sin(pi/4));
a = (pi/180)*M.object(1).rot_deg;
[x,y] = mtrans( x, y, [1,0;0,M.object(1).aspect],...
    [ mean(x) ; mean(y) ],...
    [ mean(x) ; mean(y) ] );
[x,y] = mtrans( x, y, [cos(a), sin(a) ; -sin(a), cos(a) ],...
    [ mean(x) ; mean(y) ],...
    [ mean(x) ; mean(y) ] );
[x,y] = mtrans( x, y, [1,0;0,1],...
    [ mean(x) ; mean(y) ],...
    [ M.object(1).centre_x ; M.object(1).centre_y ] );
M.object(1).x = x;
M.object(1).y = y;

%Matrix transformation equation defaults (90 degree clockwise rotation)
M.transform_a = 0;
M.transform_b = 1;
M.transform_c = -1;
M.transform_d = 0;
M.transform_power = 1;
M.transformation = '90 deg clock rotation about (0,0)';
M.transformations = {
    'Identity',...
    'Enlargement SF 2 about (0,0)',...
    'Enlargement SF 2 about object centre',...
    'Enlargement SF 2 about (1,-1)',...
    'Shear in x angle 30 deg about (0,0)',...
    'Shear in -y angle 30 deg about (0,0)',...
    '90 deg clock rotation about (0,0)',...
    'Reflection in x axis',...
    'Reflection in line y=2',...
    '42 deg clock rotation about (0,0)',...
    '42 deg clock rotation about object centre',...
    'theta deg clock rotation about (0,0)',...
    'theta deg clock rotation about object centre',...
    'Reflection in line y = x*tan(theta)',...
    'Stretch scale factor k from invariant line y = -x*cot(theta)',...
    'Shear, factor k, invariant line y = x*tan(theta)'
    };

%Translation vector x and y values
M.transform_tx1 = 0;
M.transform_ty1 = 0;
M.transform_tx2 = 0;
M.transform_ty2 = 0;

%Number of iterations
M.iterations = 1;

%Label vertices
M.label_vertices = 1;

%Canvas axis scaling defaults
M.ymax = 10;
M.ymin = -10;
M.ytick = 1;
M.xmax = 10;
M.xmin = -10;
M.xtick = 1;
M.auto_axis_scale = 0;

%Set precision of numerical display (decimal places)
M.num_display_precision = 2;

%Set initial values of k and theta/deg parameters
M.k = 1;
M.theta = 45;

%Set about (0,0) radio button (i.e. start GUI in simple mode)
M.about_origin = 1;

%Show before and after basis vectors
M.show_basis_vectors = 0;

%End of code
