%mtrans2D_update_gui
% This function takes the handles (h) array and updates the GUI with new settings.

function h = mtrans2D_update_gui(h)

%Get display precision
p = h.M.num_display_precision;

%Object lists
set( h.POPUPMENUnewobject,'string',h.M.new_objects );
num_objects = length( h.M.object );
if num_objects==0
    set( h.POPUPMENUobject,'value',1);
    set( h.POPUPMENUobject,'string', ' ');
    set( h.EDITobjx,'string', ' ');
    set( h.EDITobjy,'string', ' ' );
    set( h.EDITobjaspect,'string', ' ');
    set( h.EDITscalefactor,'string', ' ');
    set( h.EDITobjrot,'string', ' ');
else
    n = h.M.current_object_number;
    set( h.POPUPMENUobject,'value',n );
    set( h.POPUPMENUobject,'string',h.M.object_list );
    set( h.POPUPMENUnewobject,'string',h.M.new_objects );
    set( h.EDITobjx,'string', num2str(h.M.object(n).centre_x,p) );
    set( h.EDITobjy,'string', num2str(h.M.object(n).centre_y,p) );
    set( h.EDITobjaspect,'string', num2str(h.M.object(n).aspect,p) );
    set( h.EDITscalefactor,'string', num2str(h.M.object(n).scale_factor,p) );
    set( h.EDITobjrot,'string', num2str(h.M.object(n).rot_deg,p) );
end

%Matrix transformation equation defaults (90 degree clockwise rotation)
set( h.EDITa,'string',num2str(h.M.transform_a,p) );
set( h.EDITb,'string',num2str(h.M.transform_b,p) );
set( h.EDITc,'string',num2str(h.M.transform_c,p) );
set( h.EDITd,'string',num2str(h.M.transform_d,p) );
set( h.EDITpower,'string',num2str(h.M.transform_power) );
set( h.POPUPMENUsetmatrix,'value',...
    strmatch( h.M.transformation, h.M.transformations, 'exact' ));
set( h.POPUPMENUsetmatrix,'string',h.M.transformations );

%Translation vector x and y values
set( h.EDITtx1,'string',num2str(h.M.transform_tx1,p) );
set( h.EDITty1,'string',num2str(h.M.transform_ty1,p) );
set( h.EDITtx2,'string',num2str(h.M.transform_tx2,p) );
set( h.EDITty2,'string',num2str(h.M.transform_ty2,p) );

%Number of iterations
set( h.EDITiterations,'string',num2str(h.M.iterations) );

%Label vertices
set( h.CHECKlabelvertices,'value',h.M.label_vertices );

%Set canvas axis limits
set( h.EDITymax,'string', num2str(h.M.ymax,p) );
set( h.EDITymin,'string', num2str(h.M.ymin,p) );
set( h.EDITytick,'string', num2str(h.M.ytick,p) );
set( h.EDITxmax,'string', num2str(h.M.xmax,p) );
set( h.EDITxmin,'string', num2str(h.M.xmin,p) );
set( h.EDITxtick,'string', num2str(h.M.xtick,p) );
set(h.CHECKautoaxisscale,'value',h.M.auto_axis_scale );

%k and theta parameters
set( h.EDITtheta,'string',num2str(h.M.theta) );
set( h.EDITk,'string',num2str(h.M.k) );

%About origin radio button
set( h.RADIOaboutorigin,'value',h.M.about_origin );

%End of code