%trig_str_deg2rad
% Function which converts a trignometric function defined as a string, with
% arguent assumed to be in degrees, into one with argument in radians.

function s = trig_str_deg2rad(s)

%Assume s is of the form sin( .... ) etc
s = strrep( s, 'sin(', 'sin((pi/180)*' );
s = strrep( s, 'cos(', 'cos((pi/180)*' );
s = strrep( s, 'tan(', 'tan((pi/180)*' );

%Replace any instances of k with handles.M.k
s = strrep( s, 'k', 'handles.M.k' );

%Replace any instances of theta with handles.M.theta, and then convert to
%radians
s = strrep( s, 'theta', 'handles.M.theta' );

%End of code